<?php

namespace Drupal\monarch_bootstrap\Plugin\Preprocess;

use Drupal\Component\Utility\Html;
use Drupal\Core\Messenger\MessengerInterface;

/**
 * Pre-processes variables for the region template.
 *
 * @MonarchPreprocess("region")
 */
class Region extends PreprocessBase { 

  /**
   * {@inheritdoc}
   */
  public function preprocess(array &$variables, $hook, array $info) {
    parent::preprocess($variables, $hook, $info);
    
    $region = $variables['region'];
    $settings = $this->getThemeSetting($region);

    // Add standard classes.
    $variables['attributes']['class'][] = 'region';
    $variables['attributes']['class'][] = 'region--' . Html::getClass($region);

    // Add bootstrap classes from settings.
    if (!empty($settings['container']) && $settings['container'] != 'none') {
      $variables['attributes']['class'][] = $settings['container'];
    }

    if (!empty($settings['bg_color']) && $settings['bg_color'] != 'none') {
      $variables['attributes']['class'][] = $settings['bg_color'];
    }
  }
}
